<?xml version='1.1' encoding='UTF-8'?>
<Tag plugin="workflow-support@819.v37d707a_71d9b_">
  <node class="cps.n.StepAtomNode" plugin="workflow-cps@2689.v434009a_31b_f1">
    <parentIds>
      <string>60</string>
    </parentIds>
    <id>61</id>
    <descriptorId>org.jenkinsci.plugins.ansible.workflow.AnsiblePlaybookStep</descriptorId>
  </node>
  <actions>
    <cps.a.ArgumentsActionImpl plugin="workflow-cps@2689.v434009a_31b_f1">
      <arguments>
        <entry>
          <string>sudoUser</string>
          <string>ubuntu</string>
        </entry>
        <entry>
          <string>disableHostKeyChecking</string>
          <boolean>true</boolean>
        </entry>
        <entry>
          <string>installation</string>
          <string>ansible</string>
        </entry>
        <entry>
          <string>credentialsId</string>
          <string>private_key</string>
        </entry>
        <entry>
          <string>inventory</string>
          <string>inventory</string>
        </entry>
        <entry>
          <string>becomeUser</string>
          <string>ubuntu</string>
        </entry>
        <entry>
          <string>playbook</string>
          <string>deploy.yml</string>
        </entry>
      </arguments>
      <sensitiveVariables/>
      <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
    </cps.a.ArgumentsActionImpl>
    <wf.a.TimingAction plugin="workflow-api@1144.v61c3180fa_03f">
      <startTime>1651199240104</startTime>
    </wf.a.TimingAction>
    <s.a.LogStorageAction/>
    <wf.a.ErrorAction plugin="workflow-api@1144.v61c3180fa_03f">
      <error class="hudson.AbortException">
        <detailMessage>Ansible playbook execution failed</detailMessage>
        <stackTrace>
          <trace>org.jenkinsci.plugins.ansible.AnsiblePlaybookBuilder.perform(AnsiblePlaybookBuilder.java:262)</trace>
          <trace>org.jenkinsci.plugins.ansible.workflow.AnsiblePlaybookStep$AnsiblePlaybookExecution.run(AnsiblePlaybookStep.java:430)</trace>
          <trace>org.jenkinsci.plugins.ansible.workflow.AnsiblePlaybookStep$AnsiblePlaybookExecution.run(AnsiblePlaybookStep.java:351)</trace>
          <trace>org.jenkinsci.plugins.workflow.steps.AbstractSynchronousNonBlockingStepExecution$1$1.call(AbstractSynchronousNonBlockingStepExecution.java:47)</trace>
          <trace>hudson.security.ACL.impersonate2(ACL.java:451)</trace>
          <trace>hudson.security.ACL.impersonate(ACL.java:463)</trace>
          <trace>org.jenkinsci.plugins.workflow.steps.AbstractSynchronousNonBlockingStepExecution$1.run(AbstractSynchronousNonBlockingStepExecution.java:44)</trace>
          <trace>java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)</trace>
          <trace>java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)</trace>
          <trace>java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)</trace>
          <trace>java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)</trace>
          <trace>java.base/java.lang.Thread.run(Thread.java:829)</trace>
        </stackTrace>
        <suppressedExceptions class="empty-list"/>
      </error>
    </wf.a.ErrorAction>
  </actions>
</Tag>